<?php
/* Metodos de acceso a los campos de la tabla MST_ReferenciaProductoColor redefinidos por el usuario */
class MST_ReferenciaProductoColorBN extends BaseMST_ReferenciaProductoColorBN
{
    public function getObjectColor()
    {
        $o_MST_ColorFN = new MST_ColorFN();
        $o_MST_ColorBN = $o_MST_ColorFN->selectByPK( $this->getIdColor() );
        return $o_MST_ColorBN;
    }

    public function getArrayReferenciaProductoCatTalla()
    {
        $o_MST_ReferenciaProductoCatTallaFN = new MST_ReferenciaProductoCatTallaFN();
        $o_MST_ReferenciaProductoCatTallaFN->setIdReferencia( $this->getIdReferencia() );
        $o_MST_ReferenciaProductoCatTallaFN->setIdColor( $this->getIdColor() );
        return $o_MST_ReferenciaProductoCatTallaFN->select();
    }
}
?>